import { APIGatewayProxyEventV2, APIGatewayProxyResultV2, Handler as APIGatewayHandler } from 'aws-lambda';
import { Handler, inferHandlerOptions } from '../../types.js';
/**
 * Only supports [payload format version 2.0](https://docs.aws.amazon.com/apigateway/latest/developerguide/http-api-develop-integrations-lambda.html#http-api-develop-integrations-lambda.proxy-format).
 * Also requires top-level await.
 */
export declare const getAwsLambdaAdapter: <THandler extends Handler>(handler: THandler) => (...options: import("../../types.js").DropFirst<Parameters<THandler>>) => Promise<APIGatewayHandler<APIGatewayProxyEventV2, APIGatewayProxyResultV2<never>>>;
