import { Handler, inferHandlerOptions } from '../types.js';
export declare type Runner = <THandler extends Handler>(handler: THandler, handlerOptions: inferHandlerOptions<THandler>, serverOptions?: {
    port?: number;
}) => Promise<void>;
export declare const runNode: Runner;
export declare const runExpress: Runner;
export declare const runFastify: Runner;
/**
 * Uses `createServer` from `node:http`.
 */
export declare const runH3: Runner;
export declare const runKoa: Runner;
